Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.util
Class MethodHashing

    java.lang.Object
      org.jboss.aop.util.MethodHashing

public class MethodHashing
extends Object

Create a unique hash for

Version:
  $Revision: 1.11 $
Author:
  Marc Fleury

Constructor Summary
`MethodHashing()`

Method Summary
`static long` | `calculateHash(Method method)`
`static long` | `constructorHash(Constructor method)`
`static long` | `createHash(String methodDesc)`
`static Constructor` | `findConstructorByHash(Class clazz, long hash)`
`static Method` | `findMethodByHash(Class clazz, long hash)`
`static Map` | `getInterfaceHashes(Class intf)` Calculate method hashes.
`static long` | `methodHash(Method method)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MethodHashing

    public MethodHashing()

Method Detail

### findMethodByHash

    public static Method findMethodByHash(Class clazz,
                                          long hash)
                                   throws Exception

  Throws:
    `Exception`

### findConstructorByHash

    public static Constructor findConstructorByHash(Class clazz,
                                                    long hash)
                                             throws Exception

  Throws:
    `Exception`

### methodHash

    public static long methodHash(Method method)
                           throws Exception

  Throws:
    `Exception`

### createHash

    public static long createHash(String methodDesc)
                           throws Exception

  Throws:
    `Exception`

### constructorHash

    public static long constructorHash(Constructor method)
                                throws Exception

  Throws:
    `Exception`

### getInterfaceHashes

    public static Map getInterfaceHashes(Class intf)

  Calculate method hashes. This algo is taken from RMI.

  Parameters:
    `intf` -
  Returns:

### calculateHash

    public static long calculateHash(Method method)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.